Bug 492229 - [nouveau] Totem playback using X11/Xshm/Xv is erratic in background
Summary: [nouveau] Totem playback using X11/Xshm/Xv is erratic in background
Keywords:
Status: CLOSED DUPLICATE of bug 492227
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-26 00:03 UTC by Paul W. Frields
Modified: 2009-03-27 01:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-27 01:27:56 UTC


Attachments (Terms of Use)

Description Paul W. Frields 2009-03-26 00:03:50 UTC
Package: xorg-x11-drv-nouveau-0.0.12-15.20090323git4067ab4.fc11.x86_64

Device: 01:00.0 VGA compatible controller [0300]: nVidia Corporation GeForce 8400M GS [10de:0427] (rev a1)

Using the Live image for QA test day 2009-03-26, as prepared on 2009-03-25.  Totem works great in the foreground, but behind a Firefox window produces erratic video.  As the foreground Firefox window is moved over the Totem window, it looks as if the video is "resizing" inside its container widget, in a manner of speaking, but the output is unintelligible.  When the Totem window is brought back to the foreground, the output immediately becomes clear and correct again.

The problem also appears when *more than one window* like a GNOME Terminal is placed in the foreground over the Totem window.  Firefox triggers the problem by itself every time.  A lone GNOME Terminal window does not trigger the problem.

Some screenshots illustrating can be found here:

http://pfrields.fedorapeople.org/images/nouveau/

I'll attach them to the bug if that's more appropriate.

Comment 1 Stewart Adam 2009-03-26 01:39:35 UTC
I can confirm this issue as well. I also get the same graphical corruption when dragging the video window 1/2 off the screen to the left or right.

Comment 2 Craig Robson 2009-03-26 03:32:30 UTC
This is probably a duplicate of what I saw, Bug 492227.

I found that if I didn't cover the video from top to bottom with the new window, it didn't fail.  Ie. If I only covered a the video with with a corner of another window it didn't fail.

Comment 3 Paul W. Frields 2009-03-27 01:27:56 UTC
Agreed, marking as dupe.

*** This bug has been marked as a duplicate of bug 492227 ***


Note You need to log in before you can comment on or make changes to this bug.